List alerts
curl --request GET \
--url https://api.example.com/alertsimport requests
url = "https://api.example.com/alerts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "<string>",
"recipientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"hidden": true,
"nickname": "<string>",
"message": "<string>",
"amount": {
"minor": 123,
"major": 123,
"currency": "<string>"
},
"media": {
"url": "<string>"
},
"levelName": "<string>",
"count": 123
}
],
"pageable": {
"orderBy": [
{
"ignoreCase": true,
"property": "<string>",
"ascending": true
}
],
"number": 123,
"size": 123,
"sort": {
"orderBy": [
{
"ignoreCase": true,
"property": "<string>",
"ascending": true
}
]
}
},
"pageNumber": 123,
"offset": 123,
"size": 123,
"empty": true,
"numberOfElements": 123,
"totalSize": 123,
"totalPages": 123
}API Reference
List alerts
Retrieves paginated alerts for the authenticated user with optional filters
GET
/
alerts
List alerts
Query Parameters
Show child attributes
Show child attributes
Response
Paginated list of alerts
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I